> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiceflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update transcript evaluation

> Update the definition of the specified transcript evaluation.



## OpenAPI

````yaml /specs/analytics/openapi.public.json patch /v1/transcript-evaluation/{evaluationID}
openapi: 3.0.0
info:
  title: Analytics
  description: Voiceflow analytics service
  version: 1.0.0
  contact: {}
servers:
  - url: https://analytics-api.voiceflow.com
security: []
paths:
  /v1/transcript-evaluation/{evaluationID}:
    patch:
      tags:
        - Transcript evaluation
        - Public-Docs
      summary: Update transcript evaluation
      description: Update the definition of the specified transcript evaluation.
      operationId: TranscriptEvaluationPublicController_update_v1
      parameters:
        - name: evaluationID
          required: true
          in: path
          description: ID of the transcript evaluation to target.
          schema:
            type: string
            description: ID of the transcript evaluation to target.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              anyOf:
                - type: object
                  properties:
                    name:
                      type: string
                      minLength: 1
                      maxLength: 100
                      description: Name of the evaluation.
                    description:
                      description: Description of the evaluation.
                      nullable: true
                      type: string
                      maxLength: 250
                    enabled:
                      type: boolean
                      description: >-
                        When enabled, evaluations will be run on every new
                        transcript.
                    prompt:
                      type: string
                      minLength: 1
                      maxLength: 10000
                      description: >-
                        This prompt describes how the LLM should apply this
                        evaluation.
                    settings:
                      description: The model settings passed when invoking this evaluation.
                      allOf:
                        - $ref: '#/components/schemas/TranscriptEvaluationSettings'
                    truePrompt:
                      type: string
                      minLength: 1
                      maxLength: 10000
                      description: >-
                        This prompt describes which transcripts should evaluate
                        as 'true'.
                    falsePrompt:
                      type: string
                      minLength: 1
                      maxLength: 10000
                      description: >-
                        This prompt describes which transcripts should evaluate
                        as 'false'.
                  additionalProperties: false
                - type: object
                  properties:
                    name:
                      type: string
                      minLength: 1
                      maxLength: 100
                      description: Name of the evaluation.
                    description:
                      description: Description of the evaluation.
                      nullable: true
                      type: string
                      maxLength: 250
                    enabled:
                      type: boolean
                      description: >-
                        When enabled, evaluations will be run on every new
                        transcript.
                    prompt:
                      type: string
                      minLength: 1
                      maxLength: 10000
                      description: >-
                        This prompt describes how the LLM should apply this
                        evaluation.
                    settings:
                      description: The model settings passed when invoking this evaluation.
                      allOf:
                        - $ref: '#/components/schemas/TranscriptEvaluationSettings'
                    minimumPrompt:
                      type: string
                      minLength: 1
                      maxLength: 10000
                      description: >-
                        This prompt describes which transcripts should receive
                        lower ratings.
                    maximumPrompt:
                      type: string
                      minLength: 1
                      maxLength: 10000
                      description: >-
                        This prompt describes which transcripts should receive
                        higher ratings.
                  additionalProperties: false
                - type: object
                  properties:
                    name:
                      type: string
                      minLength: 1
                      maxLength: 100
                      description: Name of the evaluation.
                    description:
                      description: Description of the evaluation.
                      nullable: true
                      type: string
                      maxLength: 250
                    enabled:
                      type: boolean
                      description: >-
                        When enabled, evaluations will be run on every new
                        transcript.
                    prompt:
                      type: string
                      minLength: 1
                      maxLength: 10000
                      description: >-
                        This prompt describes how the LLM should apply this
                        evaluation.
                    settings:
                      description: The model settings passed when invoking this evaluation.
                      allOf:
                        - $ref: '#/components/schemas/TranscriptEvaluationSettings'
                  additionalProperties: false
                - type: object
                  properties:
                    name:
                      type: string
                      minLength: 1
                      maxLength: 100
                      description: Name of the evaluation.
                    description:
                      description: Description of the evaluation.
                      nullable: true
                      type: string
                      maxLength: 250
                    enabled:
                      type: boolean
                      description: >-
                        When enabled, evaluations will be run on every new
                        transcript.
                    prompt:
                      type: string
                      minLength: 1
                      maxLength: 10000
                      description: >-
                        This prompt describes how the LLM should apply this
                        evaluation.
                    settings:
                      description: The model settings passed when invoking this evaluation.
                      allOf:
                        - $ref: '#/components/schemas/TranscriptEvaluationSettings'
                    options:
                      minItems: 1
                      maxItems: 20
                      type: array
                      items:
                        $ref: '#/components/schemas/TranscriptEvaluationOptionSchema'
                      description: The options that should be evaluated for.
                  additionalProperties: false
      responses:
        '204':
          description: ''
      security:
        - auth: []
components:
  schemas:
    TranscriptEvaluationSettings:
      nullable: true
      allOf:
        - $ref: '#/components/schemas/AgentSettings'
    TranscriptEvaluationOptionSchema:
      type: object
      properties:
        value:
          type: string
          minLength: 1
          maxLength: 100
        prompt:
          type: string
          minLength: 1
          maxLength: 10000
        included:
          type: boolean
        color:
          type: string
      required:
        - value
        - prompt
        - included
        - color
      additionalProperties: false
    AgentSettings:
      type: object
      properties:
        model:
          allOf:
            - $ref: '#/components/schemas/AIModel'
        realtime:
          type: object
          properties:
            voice:
              type: string
            eagerness:
              type: string
        maxTokens:
          type: number
        temperature:
          type: number
        reasoningEffort:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/AIReasoningEffort'
    AIModel:
      type: string
      enum:
        - gpt-3.5-turbo-1106
        - gpt-3.5-turbo
        - gpt-4
        - gpt-4o
        - gpt-4o-mini
        - gpt-4.1-2025-04-14
        - gpt-4.1-mini-2025-04-14
        - gpt-4.1-nano-2025-04-14
        - gpt-o3-mini
        - o3-2025-04-16
        - o4-mini-2025-04-16
        - gpt-5
        - gpt-5-mini
        - gpt-5-nano
        - gpt-5.2
        - gpt-5.4
        - gpt-5.4-mini
        - gpt-5.5
        - gpt-realtime
        - claude-4-opus
        - claude-4-sonnet
        - claude-4.5-sonnet
        - claude-4.6-sonnet
        - claude-4.5-haiku
        - claude-4.5-opus
        - claude-4.7-opus
        - bedrock-claude-4-sonnet
        - bedrock-claude-4.5-sonnet
        - bedrock-claude-4.6-sonnet
        - bedrock-claude-4.5-haiku
        - bedrock-claude-4.5-opus
        - bedrock-claude-4.7-opus
        - voiceflow-core-4.0
        - voiceflow-core-4.1
        - voiceflow-flash-4.1
        - gemini-2.5-pro
        - gemini-2.5-flash
        - gemini-live-2.5-flash
        - gemini-3-flash
        - gemini-3.5-flash
        - gemini-3.1-pro
        - gpt-oss-20b
        - gpt-oss-120b
        - llama-guard-4
        - llama-3.1-instant
        - llama-3.3-versatile
        - gemini-flash-2
        - gpt-4-turbo
        - claude-3.5-haiku
        - claude-3-opus
        - claude-3.7-sonnet
        - claude-v2
        - llama-3.2-1b-preview
        - gemini-pro-1.5
        - claude-3-haiku
        - claude-3-sonnet
        - text-davinci-003
        - claude-v1
        - claude-instant-v1
        - deep-seek-r1-distill-llama-70B
        - claude-3.5-sonnet
      x-enumNames:
        - GPT_3_5_TURBO_1106
        - GPT_3_5_TURBO
        - GPT_4
        - GPT_4_O
        - GPT_4_O_MINI
        - GPT_4_1
        - GPT_4_1_MINI
        - GPT_4_1_NANO
        - GPT_O_3_MINI
        - GPT_O_3
        - GPT_O_4_MINI
        - GPT_5
        - GPT_5_MINI
        - GPT_5_NANO
        - GPT_5_2
        - GPT_5_4
        - GPT_5_4_MINI
        - GPT_5_5
        - GPT_REALTIME
        - CLAUDE_4_OPUS
        - CLAUDE_4_SONNET
        - CLAUDE_4_5_SONNET
        - CLAUDE_4_6_SONNET
        - CLAUDE_4_5_HAIKU
        - CLAUDE_4_5_OPUS
        - CLAUDE_4_7_OPUS
        - BEDROCK_CLAUDE_4_SONNET
        - BEDROCK_CLAUDE_4_5_SONNET
        - BEDROCK_CLAUDE_4_6_SONNET
        - BEDROCK_CLAUDE_4_5_HAIKU
        - BEDROCK_CLAUDE_4_5_OPUS
        - BEDROCK_CLAUDE_4_7_OPUS
        - VOICEFLOW_CORE_4_0
        - VOICEFLOW_CORE_4_1
        - VOICEFLOW_FLASH_4_1
        - GEMINI_2_5_PRO
        - GEMINI_2_5_FLASH
        - GEMINI_LIVE_2_5_FLASH
        - GEMINI_3_FLASH
        - GEMINI_3_5_FLASH
        - GEMINI_3_1_PRO
        - GPT_OSS_20_B
        - GPT_OSS_120_B
        - LLAMA_GUARD_4
        - LLAMA_3_1_INSTANT
        - LLAMA_3_3_VERSATILE
        - GEMINI_FLASH_2
        - GPT_4_TURBO
        - CLAUDE_3_5_HAIKU
        - CLAUDE_3_OPUS
        - CLAUDE_3_7_SONNET
        - CLAUDE_V_2
        - LLAMA_3_2_1_B_PREVIEW
        - GEMINI_PRO_1_5
        - CLAUDE_3_HAIKU
        - CLAUDE_3_SONNET
        - DA_VINCI_003
        - CLAUDE_V_1
        - CLAUDE_INSTANT_V_1
        - DEEP_SEEK_R_1_DISTILL_LLAMA_70_B
        - CLAUDE_3_5_SONNET
    AIReasoningEffort:
      type: string
      enum:
        - minimal
        - low
        - medium
        - high
      x-enumNames:
        - MINIMAL
        - LOW
        - MEDIUM
        - HIGH
  securitySchemes:
    auth:
      type: apiKey
      in: header
      name: authorization
      description: Voiceflow API key

````